package th.co.dv.p2p.customs.base.models

import com.fasterxml.jackson.annotation.JsonIgnoreProperties
import com.fasterxml.jackson.annotation.JsonInclude

@JsonIgnoreProperties(ignoreUnknown = true)
@JsonInclude(JsonInclude.Include.NON_NULL)
data class GoodsReceivedModel(
        val accounting: PartyModel? = null,
        val buyer: PartyModel? = null,
        val companyCode: String? = null,
        val companyBranchCode: String? = null,
        val companyName: String? = null,
        val companyTaxNumber: String? = null,
        val companyAddress1: String? = null,
        val companyAddress2: String? = null,
        val companyBranchName: String? = null,
        val companyCity: String? = null,
        val companyCountry: String? = null,
        val companyDepartment: String? = null,
        val companyDistrict: String? = null,
        val companyOfficerEmail: String? = null,
        val companyOfficerName: String? = null,
        val companyOfficerTelephone: String? = null,
        val companyOrganization: String? = null,
        val companyPostalCode: String? = null,
        val companyEmail: String? = null,
        val companyTelephone: String? = null,
        val createdBy: String? = null,
        val customisedFields: Map<String, Any>? = emptyMap(),
        val customisedFieldsUpdatedDate: String? = null,
        val deliveryNoteExternalId: String? = null,
        val documentEntryDate: String? = null,
        val documentEntryYear: String? = null,
        val externalId: String? = null,
        val goodsReceivedItems: List<GoodsReceivedItemModel> = emptyList(),
        val invoiceExternalId: String? = null,
        val initialInvoiceExternalId: String? = null,
        val lifecycle: String? = null,
        val linearId: String? = null,
        val postingDate: String? = null,
        val referenceField1: String? = null,
        val referenceField2: String? = null,
        val referenceField3: String? = null,
        val referenceField4: String? = null,
        val referenceField5: String? = null,
        val status: String? = null,
        val seller: PartyModel? = null,
        val vendorBranchCode: String? = null,
        val vendorBranchName: String? = null,
        val vendorName: String? = null,
        val vendorNumber: String? = null,
        val vendorTaxNumber: String? = null,
        val vendorAddress1: String? = null,
        val vendorAddress2: String? = null,
        val vendorCity: String? = null,
        val vendorCountry: String? = null,
        val vendorOrganization: String? = null,
        val vendorDepartment: String? = null,
        val vendorOfficerName: String? = null,
        val vendorOfficerEmail: String? = null,
        val vendorOfficerTelephone: String? = null,
        val vendorDistrict: String? = null,
        val vendorEmail: String? = null,
        val vendorPostalCode: String? = null,
        val vendorTelephone: String? = null) {
}